Datamart Device Id Registry
Operations related to Datamart Device ID Registries that store device-based Network IDs (IDFA, AAID, Universal Web IDs) for cross-publisher addressability. Enable collection and management of mobile advertising identifiers and universal web identifiers to support audience activation across multiple publishers and platforms while respecting user privacy controls.
The device id registry id
Organisation id of the device id registry
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/device_id_registries/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"created_by": "text",
"default_expiration_duration": "text",
"id": "text",
"creation_ts": 0,
"drop_before_reduction": false,
"image_uri": "text",
"type": "INSTALLATION_ID",
"organisation_id": "text",
"last_modified_by": "text",
"description": "text",
"ignored_in_identity_resolution": false,
"last_modified_ts": 0,
"name": "text",
"token": "text"
}
}The device id registry id
Organisation id of the device id registry
A valid ISO 8601 Period String
0falsefalse0Success !
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/device_id_registries/{id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 226
{
"default_expiration_duration": "text",
"drop_before_reduction": false,
"image_uri": "text",
"type": "INSTALLATION_ID",
"organisation_id": "text",
"description": "text",
"ignored_in_identity_resolution": false,
"name": "text",
"token": "text"
}{
"status": "ok",
"data": {
"created_by": "text",
"default_expiration_duration": "text",
"id": "text",
"creation_ts": 0,
"drop_before_reduction": false,
"image_uri": "text",
"type": "INSTALLATION_ID",
"organisation_id": "text",
"last_modified_by": "text",
"description": "text",
"ignored_in_identity_resolution": false,
"last_modified_ts": 0,
"name": "text",
"token": "text"
}
}The device id registry id
Organisation id of the device id registry
Success response
Error response
Error response
Error response
Error response
Error response
Error response
DELETE /v1/device_id_registries/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}Ids of device id registries to search
Name of device id registry
Type of device id registry
Organisation id of the device id registry
User who created the device id registry
User who last modified the device id registry
Offset from which the search must be performed
Number of maximum items that shall be return by this search
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/device_id_registries HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"first_result": 1,
"max_results": 1,
"total": 1,
"data": [
{
"created_by": "text",
"default_expiration_duration": "text",
"id": "text",
"creation_ts": 0,
"drop_before_reduction": false,
"image_uri": "text",
"type": "INSTALLATION_ID",
"organisation_id": "text",
"last_modified_by": "text",
"description": "text",
"ignored_in_identity_resolution": false,
"last_modified_ts": 0,
"name": "text",
"token": "text"
}
],
"count": 1,
"status": "ok"
}A valid ISO 8601 Period String
0falsefalse0Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/device_id_registries HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 226
{
"default_expiration_duration": "text",
"drop_before_reduction": false,
"image_uri": "text",
"type": "INSTALLATION_ID",
"organisation_id": "text",
"description": "text",
"ignored_in_identity_resolution": false,
"name": "text",
"token": "text"
}{
"status": "ok",
"data": {
"created_by": "text",
"default_expiration_duration": "text",
"id": "text",
"creation_ts": 0,
"drop_before_reduction": false,
"image_uri": "text",
"type": "INSTALLATION_ID",
"organisation_id": "text",
"last_modified_by": "text",
"description": "text",
"ignored_in_identity_resolution": false,
"last_modified_ts": 0,
"name": "text",
"token": "text"
}
}Last updated
Was this helpful?